> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Task Settings

> Update org-level task settings.



## OpenAPI

````yaml put /task/setting
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /task/setting:
    put:
      tags:
        - Tasks
      summary: Update Task Settings
      description: Update org-level task settings.
      operationId: update_task_settings_task_setting_put
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TaskSettingUpdate'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaskSettingResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    TaskSettingUpdate:
      properties:
        suppressTaskNotifications:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Suppresstasknotifications
        completedTaskRetentionDays:
          anyOf:
            - type: integer
              maximum: 365
              minimum: 1
            - type: 'null'
          title: Completedtaskretentiondays
        defaultTaskFilter:
          anyOf:
            - $ref: '#/components/schemas/TaskDefaultFilter'
            - type: 'null'
        assignmentStrategy:
          anyOf:
            - $ref: '#/components/schemas/TaskAssignmentStrategy'
            - type: 'null'
        respectShifts:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Respectshifts
      type: object
      title: TaskSettingUpdate
    TaskSettingResponse:
      properties:
        suppressTaskNotifications:
          type: boolean
          title: Suppresstasknotifications
        completedTaskRetentionDays:
          type: integer
          title: Completedtaskretentiondays
        defaultTaskFilter:
          $ref: '#/components/schemas/TaskDefaultFilter'
        assignmentStrategy:
          $ref: '#/components/schemas/TaskAssignmentStrategy'
        respectShifts:
          type: boolean
          title: Respectshifts
      type: object
      required:
        - suppressTaskNotifications
        - completedTaskRetentionDays
        - defaultTaskFilter
        - assignmentStrategy
        - respectShifts
      title: TaskSettingResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TaskDefaultFilter:
      type: string
      enum:
        - ASSIGNED_TO_ME
        - SUBSCRIBED_TO
        - USER_CHOICE
      title: TaskDefaultFilter
    TaskAssignmentStrategy:
      type: string
      enum:
        - PATIENT_INTERACTION
        - ROUND_ROBIN
        - NONE
      title: TaskAssignmentStrategy
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````